Bug 421461 - (CVE-2007-6389) CVE-2007-6389 gnome-screensaver clipboard content leak
CVE-2007-6389 gnome-screensaver clipboard content leak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugzilla.gnome.org/show_bug.cg...
source=debian,impact=low,reported=200...
: Security
Depends On: 426169 426170 426171
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 09:00 EST by Lubomir Kundrak
Modified: 2008-05-07 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 16:11:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 503005 None None None Never

  None (edit)
Description Lubomir Kundrak 2007-12-12 09:00:23 EST
Description of problem:

Quoting Debian bug report:
With the addition of the feature to send a message to the logged in user
when they return and unlock a locked session, this gives local attackers
the ability to read the X selection and clipboard buffers with a middle
click on the mouse and a Ctrl+V. I note that the box to leave a message
doesn't have a context menu that you could paste via, but it doesn't go
far enough.

Additional info:

http://bugzilla.gnome.org/show_bug.cgi?id=503005
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=455484
Comment 1 Lubomir Kundrak 2007-12-15 04:58:49 EST
CVE identifier was requested
Comment 2 Ray Strode [halfline] 2007-12-17 11:20:33 EST
This was recently fixed upstream.
Comment 3 Ray Strode [halfline] 2007-12-17 11:23:30 EST
ah, i'm not paying close enough attention. you've already mentioned the upstream
report.
Comment 4 Lubomir Kundrak 2007-12-17 11:29:25 EST
Ray: Still thanks for noticing. I'd like to see this fixed by an update, but
Mitre still didn't assign a CVE. By the way, does the user have possibility to
disable the feature at all?
Comment 5 Ray Strode [halfline] 2007-12-17 11:48:07 EST
It's a compile time thing, unfortunately.  The only way to disable it is to
rebuild without libnotify support or turn on dialog themes and load a themed
dialog that lacks the button (I think our default one lacks the button actually,
so you should be able to use it until an update goes out).
Comment 7 Lubomir Kundrak 2008-03-27 16:45:10 EDT
What's the status of fixing this in stable releases?
Comment 8 Ray Strode [halfline] 2008-03-28 09:45:45 EDT
this fell off my radar, i'll look into this today after some 5.2 work.
Comment 9 Josh Bressers 2008-05-07 14:01:35 EDT
This only affects the version of Gnome in Fedora, as the current version in
RHEL5 lacks the ability to leave a message for a user.
Comment 10 Red Hat Product Security 2008-05-07 16:11:11 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2818
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2872


Note You need to log in before you can comment on or make changes to this bug.